Subject: Re: [bug#36258] [PATCH 1/2] gnu: monero: Update to 0.14.1.0.

From: Guillaume LE VAILLANT <[email-masked]>
Date: Sun, 23 Jun 2019 14:53:18 +0200

swedebugia a écrit :

> It finished compiling on 1 core but the tests stopped after an hour and was
> completely silent and no cpu use.
>
> How do I run the tests manually?
>
> I tried:
> cd into /tmp/guix-build-xxx
> source the env
> cd build
> make "ARGS=-R 'hash|core_tests'" "test"
> but got this error:
> Could not find executable
> /tmp/guix-build-monero-0.14.1.0.drv-0/build/tests/hash-target-tests

That's strange, if the compilation phase finished, the
'build/tests/hash-target-tests' file should exist.
Do the 'build/tests/core_tests/core_tests' and
'build/tests/unit_tests/unit_tests' programs exist, or is your
'build/tests' directory empty?

Also, 'core_tests' takes a long time to complete (around 40 minutes on
my machine I think), and it doesn't print any message while it's
running (but there should be 1 CPU core in use).